Loading...
Searching...
No Matches
gx_seq::SEQWindow Class Reference

`#include <gx_sequencer_settings.h>`

Inheritance diagram for gx_seq::SEQWindow:

## Public Member Functions

void | reload_and_show ()
| ~SEQWindow ()

## Static Public Member Functions

static SEQWindow * | create (const std::string &unit_id, gx_engine::GxMachineBase &machine)

## Private Member Functions

void | on_window_hide ()
void | on_preset_popup_clicked ()
void | on_selection_done (Gtk::Menu *presetMenu)
bool | get_sequencer_pos (Gxw::Regler *regler, const std::string id)
bool | on_key_press_event (GdkEventKey *event)
void | check_preset_label ()
void | seq_changed (const gx_engine::GxSeqSettings *seqc, Gtk::Box *box)
void | make_state (gx_engine::GxSeqSettings &seqc, std::vector< int > seq)
void | on_seq_button_clicked (Gtk::Box *box, gx_engine::SeqParameter *p)
void | on_seq_button_clicked_set (Gtk::Box *box, gx_engine::SeqParameter *p)
void | on_sec_length_changed (bool update)
void | on_sec_tact_changed ()
void | append_seq_block (Gtk::Box *box, gx_engine::SeqParameter *p, int r, int r_save)
void | remove_seq_block (Gtk::Box *box, int r)
void | reset_control (Glib::ustring id, float value)
int | append_sequence (const gx_engine::GxSeqSettings *seqc, gx_engine::SeqParameter *p, std::vector< int > *sequence)
void | make_preset_button (Gtk::Box *box)
void | scroll_playhead (float value)
void | append_plugin_preset (Glib::ustring name)
void | append_plugin_preset_set (Glib::ustring name)
void | on_preset_add_clicked ()
void | on_next_preset ()
void | on_next_preset_set ()
void | on_previus_preset ()
void | on_previus_preset_set ()
void | connect_midi ()
void | on_set_step ()
void | on_set_fstep ()
void | on_sync_stepper ()
void | on_reset_stepper ()
void | init_connect ()
void | init_sequences (gx_engine::SeqParameter *p, Gtk::Box *_box)
| SEQWindow (const Glib::RefPtr< gx_gui::GxBuilder > &builder, gx_engine::SeqParameter *tomp_, gx_engine::SeqParameter *tomp1_, gx_engine::SeqParameter *tomp2_, gx_engine::SeqParameter *kickp_, gx_engine::SeqParameter *snarep_, gx_engine::SeqParameter *hatp_, gx_engine::GxMachineBase &machine_)

## Private Attributes

gx_engine::GxMachineBase & | machine
Glib::RefPtr< gx_gui::GxBuilder > | builder
std::vector< Drums > | drums
Drums | tom
Drums | tom1
Drums | tom2
Drums | kick
Drums | snare
Drums | hat
bool | is_active
Gtk::Window * | gtk_window
Gtk::Viewport * | vp
Gtk::Label * | preset_label
Gtk::Box * | preset_button
Gxw::Switch * | add_button
Gxw::Regler * | seq_pos
Gxw::Regler * | seq_count
Gxw::Regler * | seq_tact
Gxw::Switch * | next_preset
Gxw::Switch * | previus_preset
Gxw::Switch * | set_step
Gxw::Switch * | set_fstep
Gxw::Switch * | set_sync
Gxw::Switch * | reset_step
Gtk::Label * | step_label
Gxw::ValueDisplay * | step_value

## Detailed Description

Definition at line 83 of file gx_sequencer_settings.h.

## Constructor & Destructor Documentation

## SEQWindow()

gx_seq::SEQWindow::SEQWindow | ( | const Glib::RefPtr< gx_gui::GxBuilder > & | builder,
|  | gx_engine::SeqParameter * | tomp_,
|  | gx_engine::SeqParameter * | tomp1_,
|  | gx_engine::SeqParameter * | tomp2_,
|  | gx_engine::SeqParameter * | kickp_,
|  | gx_engine::SeqParameter * | snarep_,
|  | gx_engine::SeqParameter * | hatp_,
|  | gx_engine::GxMachineBase & | machine_ )

private

Referenced by create().

## ~SEQWindow()

gx_seq::SEQWindow::~SEQWindow | ( |  | ) |

## Member Function Documentation

## append_plugin_preset()

void gx_seq::SEQWindow::append_plugin_preset | ( | Glib::ustring | name | ) |

private

## append_plugin_preset_set()

void gx_seq::SEQWindow::append_plugin_preset_set | ( | Glib::ustring | name | ) |

private

## append_seq_block()

void gx_seq::SEQWindow::append_seq_block | ( | Gtk::Box * | box,
|  | gx_engine::SeqParameter * | p,
|  | int | r,
|  | int | r_save )

private

## append_sequence()

int gx_seq::SEQWindow::append_sequence | ( | const gx_engine::GxSeqSettings * | seqc,
|  | gx_engine::SeqParameter * | p,
|  | std::vector< int > * | sequence )

private

## check_preset_label()

void gx_seq::SEQWindow::check_preset_label | ( |  | ) |

private

## connect_midi()

void gx_seq::SEQWindow::connect_midi | ( |  | ) |

private

## create()

SEQWindow * gx_seq::SEQWindow::create | ( | const std::string & | unit_id,
|  | gx_engine::GxMachineBase & | machine )

static

## get_sequencer_pos()

bool gx_seq::SEQWindow::get_sequencer_pos | ( | Gxw::Regler * | regler,
|  | const std::string | id )

private

## init_connect()

void gx_seq::SEQWindow::init_connect | ( |  | ) |

private

## init_sequences()

void gx_seq::SEQWindow::init_sequences | ( | gx_engine::SeqParameter * | p,
|  | Gtk::Box * | _box )

private

## make_preset_button()

void gx_seq::SEQWindow::make_preset_button | ( | Gtk::Box * | box | ) |

private

## make_state()

void gx_seq::SEQWindow::make_state | ( | gx_engine::GxSeqSettings & | seqc,
|  | std::vector< int > | seq )

private

## on_key_press_event()

bool gx_seq::SEQWindow::on_key_press_event | ( | GdkEventKey * | event | ) |

private

## on_next_preset()

void gx_seq::SEQWindow::on_next_preset | ( |  | ) |

private

## on_next_preset_set()

void gx_seq::SEQWindow::on_next_preset_set | ( |  | ) |

private

## on_preset_add_clicked()

void gx_seq::SEQWindow::on_preset_add_clicked | ( |  | ) |

private

## on_preset_popup_clicked()

void gx_seq::SEQWindow::on_preset_popup_clicked | ( |  | ) |

private

## on_previus_preset()

void gx_seq::SEQWindow::on_previus_preset | ( |  | ) |

private

## on_previus_preset_set()

void gx_seq::SEQWindow::on_previus_preset_set | ( |  | ) |

private

## on_reset_stepper()

void gx_seq::SEQWindow::on_reset_stepper | ( |  | ) |

private

## on_sec_length_changed()

void gx_seq::SEQWindow::on_sec_length_changed | ( | bool | update | ) |

private

## on_sec_tact_changed()

void gx_seq::SEQWindow::on_sec_tact_changed | ( |  | ) |

private

## on_selection_done()

void gx_seq::SEQWindow::on_selection_done | ( | Gtk::Menu * | presetMenu | ) |

private

## on_seq_button_clicked()

void gx_seq::SEQWindow::on_seq_button_clicked | ( | Gtk::Box * | box,
|  | gx_engine::SeqParameter * | p )

private

## on_seq_button_clicked_set()

void gx_seq::SEQWindow::on_seq_button_clicked_set | ( | Gtk::Box * | box,
|  | gx_engine::SeqParameter * | p )

private

## on_set_fstep()

void gx_seq::SEQWindow::on_set_fstep | ( |  | ) |

private

## on_set_step()

void gx_seq::SEQWindow::on_set_step | ( |  | ) |

private

## on_sync_stepper()

void gx_seq::SEQWindow::on_sync_stepper | ( |  | ) |

private

## on_window_hide()

void gx_seq::SEQWindow::on_window_hide | ( |  | ) |

private

## reload_and_show()

void gx_seq::SEQWindow::reload_and_show | ( |  | ) |

## remove_seq_block()

void gx_seq::SEQWindow::remove_seq_block | ( | Gtk::Box * | box,
|  | int | r )

private

## reset_control()

void gx_seq::SEQWindow::reset_control | ( | Glib::ustring | id,
|  | float | value )

private

## scroll_playhead()

void gx_seq::SEQWindow::scroll_playhead | ( | float | value | ) |

private

## seq_changed()

void gx_seq::SEQWindow::seq_changed | ( | const gx_engine::GxSeqSettings * | seqc,
|  | Gtk::Box * | box )

private

## Member Data Documentation

## add_button

Gxw::Switch* gx_seq::SEQWindow::add_button

private

Definition at line 101 of file gx_sequencer_settings.h.

## builder

Glib::RefPtr<gx_gui::GxBuilder> gx_seq::SEQWindow::builder

private

Definition at line 86 of file gx_sequencer_settings.h.

Referenced by SEQWindow().

## drums

std::vector<Drums> gx_seq::SEQWindow::drums

private

Definition at line 87 of file gx_sequencer_settings.h.

## gtk_window

Gtk::Window* gx_seq::SEQWindow::gtk_window

private

Definition at line 97 of file gx_sequencer_settings.h.

## hat

Drums gx_seq::SEQWindow::hat

private

Definition at line 93 of file gx_sequencer_settings.h.

## is_active

bool gx_seq::SEQWindow::is_active

private

Definition at line 94 of file gx_sequencer_settings.h.

## kick

Drums gx_seq::SEQWindow::kick

private

Definition at line 91 of file gx_sequencer_settings.h.

## machine

gx_engine::GxMachineBase& gx_seq::SEQWindow::machine

private

Definition at line 85 of file gx_sequencer_settings.h.

Referenced by create().

## next_preset

Gxw::Switch* gx_seq::SEQWindow::next_preset

private

Definition at line 105 of file gx_sequencer_settings.h.

## preset_button

Gtk::Box* gx_seq::SEQWindow::preset_button

private

Definition at line 100 of file gx_sequencer_settings.h.

## preset_label

Gtk::Label* gx_seq::SEQWindow::preset_label

private

Definition at line 99 of file gx_sequencer_settings.h.

## previus_preset

Gxw::Switch* gx_seq::SEQWindow::previus_preset

private

Definition at line 106 of file gx_sequencer_settings.h.

## reset_step

Gxw::Switch* gx_seq::SEQWindow::reset_step

private

Definition at line 110 of file gx_sequencer_settings.h.

## seq_count

Gxw::Regler* gx_seq::SEQWindow::seq_count

private

Definition at line 103 of file gx_sequencer_settings.h.

## seq_pos

Gxw::Regler* gx_seq::SEQWindow::seq_pos

private

Definition at line 102 of file gx_sequencer_settings.h.

## seq_tact

Gxw::Regler* gx_seq::SEQWindow::seq_tact

private

Definition at line 104 of file gx_sequencer_settings.h.

## set_fstep

Gxw::Switch* gx_seq::SEQWindow::set_fstep

private

Definition at line 108 of file gx_sequencer_settings.h.

## set_step

Gxw::Switch* gx_seq::SEQWindow::set_step

private

Definition at line 107 of file gx_sequencer_settings.h.

## set_sync

Gxw::Switch* gx_seq::SEQWindow::set_sync

private

Definition at line 109 of file gx_sequencer_settings.h.

## snare

Drums gx_seq::SEQWindow::snare

private

Definition at line 92 of file gx_sequencer_settings.h.

## step_label

Gtk::Label* gx_seq::SEQWindow::step_label

private

Definition at line 111 of file gx_sequencer_settings.h.

## step_value

Gxw::ValueDisplay* gx_seq::SEQWindow::step_value

private

Definition at line 112 of file gx_sequencer_settings.h.

## tom

Drums gx_seq::SEQWindow::tom

private

Definition at line 88 of file gx_sequencer_settings.h.

## tom1

Drums gx_seq::SEQWindow::tom1

private

Definition at line 89 of file gx_sequencer_settings.h.

## tom2

Drums gx_seq::SEQWindow::tom2

private

Definition at line 90 of file gx_sequencer_settings.h.

## vp

Gtk::Viewport* gx_seq::SEQWindow::vp

private

Definition at line 98 of file gx_sequencer_settings.h.

The documentation for this class was generated from the following file:

- src/headers/gx_sequencer_settings.h